(* RL 10.02
 use"../kbtest/rooteq.sml";
 testexamples for RootEq, equations with fractions

 Compiler.Control.Print.printDepth:=10; (*4 default*)
 Compiler.Control.Print.printDepth:=5; (*4 default*)
 trace_rewrite:=true;
*)
val t = (term_of o the o (parse RootEq.thy)) "(sqrt(2+x+3)) is_rootequation_in  x";
val Some(t_, _) = rewrite_set_ RootEq.thy  false rooteq_prls t;
val result = term2str t_;
if result <>  "True"  then raise error "rooteq.sml: new behaviour:" else ();

val t = (term_of o the o (parse RootEq.thy)) "(sqrt(2+x+3)) is_rootequation_in  x";
val Some(t_, _) = rewrite_set_ RootEq.thy  false rooteq_prls t;
val result = term2str t_;
if result <>  "True"  then raise error "rooteq.sml: new behaviour:" else ();

val t = (term_of o the o (parse RootEq.thy)) "(nroot 5 (x+4)) is_rootequation_in  x";
val Some(t_, _) = rewrite_set_ RootEq.thy  false rooteq_prls t;
val result = term2str t_;
if result <>  "True"  then raise error "rooteq.sml: new behaviour:" else ();

val t = (term_of o the o (parse RootEq.thy)) "(sqrt(2+x+3)) is_sqrtequation_in  x";
val Some(t_, _) = rewrite_set_ RootEq.thy  false rooteq_prls t;
val result = term2str t_;
if result <>  "True"  then raise error "rooteq.sml: new behaviour:" else ();

val t = (term_of o the o (parse RootEq.thy)) "(sqrt(25)) is_sqrtequation_in  x";
val Some(t_, _) = rewrite_set_ RootEq.thy  false rooteq_prls t;
val result = term2str t_;
if result <>  "False"  then raise error "rooteq.sml: new behaviour:" else ();


val result = match_pbl ["equality (sqrt(x)=1)","solveFor x","solutions L"] 
                (get_pbt ["root","univariate","equation"]); 
case result of Matches' _  => ()  | _ => raise error "rooteq.sml: new behaviour:";

val result = match_pbl ["equality (sqrt(25)=1)","solveFor x","solutions L"] 
                (get_pbt ["root","univariate","equation"]); 
case result of NoMatch' _  => ()  | _ => raise error "rooteq.sml: new behaviour:";

(*---------rooteq---- 23.8.02 ---------------------*)
val fmz = ["equality (sqrt(x)=5)","solveFor x","solutions L"];
val fmz = ["equality (5*sqrt(3*x+1)=3*sqrt(5*x+25))","solveFor x","solutions L"];
val fmz = ["equality (sqrt(x+1)+sqrt(4*x+4)=sqrt(9*x+9))","solveFor x","solutions L"];
(*0=0*)
val fmz = ["equality (3*sqrt(x+3)+sqrt(x+6)=sqrt(4*x+33))","solveFor x","solutions L"];
(* [x = -2] *)

(* refine fmz ["univariate","equation"];
 Compiler.Control.Print.printDepth:=10; (*4 default*)
 Compiler.Control.Print.printDepth:=5; (*4 default*)
 trace_rewrite:=true;
*)
val (dI',pI',mI') = ("RootEq.thy",["univariate","equation"],("RootEq.thy","no_met"));
val p = e_pos'; 
val c = []; 
val (mI,m) = ("Init_Proof",Init_Proof (fmz, (dI',pI',mI')));
val (p,_,f,nxt,_,pt) = me (mI,m) p c EmptyPtree;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;
val (p,_,f,nxt,_,pt) = me nxt p [1] pt;

   

